# Package io.milvus.exception

Exception Summary
ClientNotConnectedException: Milvus client API throws this exception when not connected to the Milvus server.
IllegalResponseException: Interfaces including `search`/`search`/`loadCollection` might throw this exception when server return illegal response.
MilvusException: Base class of Milvus exceptions.
ParamException: Exception for illegal parameters input.
ServerException: Exception for error response from server side.
UnExpectedException: Exception for unexpected exception.